연결 목록 조회

GET /v1/connections · 권한 connections:read

자격 증명이 속한 환경의 연결 목록을 최신순으로 커서 페이지 단위로 조회합니다. 환경은 항상 자격 증명에서 결정되며, 다른 환경의 연결은 반환되지 않습니다. type 또는 status를 변경하면 다른 필터에서 발급된 커서는 무효화됩니다(400 invalid_cursor).

요청

쿼리 매개변수:

필드 유형 필수 설명
limit integer 아니요 1~100, 기본값 20입니다.
after / before string 아니요 list_metadata에서 받은 불투명 커서입니다. 둘 중 하나만 사용할 수 있습니다.
order string 아니요 생성 시각 기준 asc 또는 desc(기본값)입니다.
type string 아니요 연결 유형으로 필터링합니다(예: social).
status string 아니요 상태로 필터링합니다: active 또는 inactive.

응답

data(연결 목록)와 list_metadata(before, after)를 포함한 200 OK를 반환합니다. 해당 방향에 다음 페이지가 없으면 null입니다. 전체 개수는 반환되지 않습니다.

{
  "data": [{
      "id": "conn_0k3v8m1q2x9dz4h7s5t6w0y1ab",
      "key": "google",
      "type": "social",
      "strategy": "google",
      "name": "Google",
      "display_name": "Sign in with Google",
      "status": "inactive",
      "org_id": null,
      "allowed_email_domains": [],
      "allow_external_domains": false,
      "jit_mode": null,
      "email_trust": null,
      "default_role_ids": [],
      "trust_idp_mfa": null,
      "allow_idp_initiated": null,
      "idp_initiated_default_application_id": null,
      "idp_initiated_allowed_application_ids": [],
      "settings": {},
      "created_at": "2026-10-05T09:30:00.123456Z",
      "updated_at": "2026-10-05T09:30:00.123456Z"
    }],
  "list_metadata": { "before": null, "after": "<cursor>" }
}

오류

HTTP code 발생 조건
400 invalid_cursor 커서 형식이 잘못되었거나 다른 필터에서 발급된 커서입니다.
422 validation_failed 쿼리 매개변수가 잘못되었습니다.
401 unauthenticated 자격 증명이 없거나, 잘못되었거나, 취소되었습니다.
403 insufficient_permissions 자격 증명에 필요한 권한이 없습니다.
429 rate_limited 요청 한도를 초과했습니다. Retry-After 기간이 지난 후 다시 시도하십시오.
503 service_unavailable 종속 서비스를 일시적으로 사용할 수 없습니다. Retry-After 기간이 지난 후 다시 시도하십시오.

예시

curl "https://api.eu.keenauth.com/v1/connections?type=social&limit=20" \
  -H "Authorization: Bearer $KEENAUTH_SECRET_KEY"